### Function

# Snapd login_async

deprecated: 1.34 since: 1.0

#### Declaration [src]

    void
    snapd_login_async (
      const gchar* username,
      const gchar* password,
      const gchar* otp,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get authorization to install/remove snaps. See `snapd_login_sync()` for more information.

Available since: 1.0

Deprecated since: 1.34

Use snapd_client_login2_async().

#### Parameters

`username`

  Type: `const gchar*`

  Username to log in with.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `const gchar*`

  Password to log in with.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`otp`

  Type: `const gchar*`

  Response to one-time password challenge.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.